 
AOS.init({
    duration: 1200
});


$(document).ready(function () {
    $('.testimonial-wrapper').owlCarousel({
        loop: true,
        autoplay: false,
        autoplayTimeout: 2000,
        autoplayHoverPause: true,
        navText: ['<i class="fas fa-arrow-left"></i>', '<i class="fas fa-arrow-right"></i>'],
        dots: true,
        margin: 20,
        nav: true,
        responsive: {
            0: {
                items: 1
            },
            600: {
                items: 1
            },
            1000: {
                items: 1
            }
        }
    })
});



// SLider Js Start





const container = document.querySelector('.slide-container');
const slides = document.querySelectorAll('.slide');
const btns = document.querySelectorAll('.btn');
const btnPrev = document.querySelector('.btn-prev');
const btnNext = document.querySelector('.btn-next');

const n = slides.length;
const angle = 360 / n;

let setId = 0;
let deg = [];
let x = 0;
let y = 0;

const touchDevice = () => ('ontouchstart' in document.documentElement);
const setTransition = (time) => {
  let i = 0;
  for (; i < n; i++) slides[i].style.transition = `all ${time}s`;
}
const positionSlides = () => {
  const r = container.offsetWidth / 2;
  let i = 0;
  
  setTransition('0');
  
  for (; i < n; i++) {
    deg[i] = i * angle;
    x = Math.cos(deg[i] * (Math.PI / 180)) * r + r;
    y = Math.sin(deg[i] * (Math.PI / 180)) * r + r;
    
    slides[i].style.top = `${~~y}px`;
    slides[i].style.left = `${~~x}px`;
  }
  
  setTimeout(() => {
    setTransition('.3');
  }, 10);
}
const prevSlide = () => {
  let i = 0;
  for (; i < n; i++) deg[i] -= angle;
  animateSlide();
}
const nextSlide = () => {
  let i = 0;
  for (; i < n; i++) deg[i] += angle;
  animateSlide();
}
const animateSlide = () => {
  const r = container.offsetWidth / 2;
  let i = 0;
  
  for (; i < n; i++) {
    x = Math.cos(deg[i] * (Math.PI / 180)) * r + r;
    y = Math.sin(deg[i] * (Math.PI / 180)) * r + r;
    
    slides[i].style.top = `${~~y}px`;
    slides[i].style.left = `${~~x}px`;
    
    y === 0 ? slides[i].classList.add('active') : slides[i].classList.remove('active');
  }
  
  const activeSlide = document.querySelector('.slide.active');
  const slideBgImg = getComputedStyle(activeSlide).backgroundImage;
  
  container.style.backgroundImage = slideBgImg;
}
const autoPlay = () => setId = setInterval(nextSlide, 3000);
const changeSlideImg = (e) => {
  let i = 0;
  for (; i < n; i++) slides[i].classList.remove('active');
  e.currentTarget.classList.add('active');

  const activeSlide = document.querySelector('.slide.active');
  const slideBgImg = getComputedStyle(activeSlide).backgroundImage;

  container.style.backgroundImage = slideBgImg;
}

positionSlides();
nextSlide();
autoPlay();

btnPrev.addEventListener('click', prevSlide);
btnNext.addEventListener('click', nextSlide);
btns.forEach(btn => {
  btn.addEventListener('mouseenter', () => clearInterval(setId));
  btn.addEventListener('mouseleave', () => {
    clearInterval(setId);
    autoPlay();
  });
})
slides.forEach(slide => {
  if (touchDevice()) {
    slide.addEventListener('click', (e) => {
      changeSlideImg(e);
      clearInterval(setId);
      autoPlay();
    });
  }
  else {
    slide.addEventListener('mouseenter', (e) => {
      changeSlideImg(e);
      clearInterval(setId);
    });
    slide.addEventListener('mouseleave', () => {
      clearInterval(setId);
      autoPlay();
    });
  }
})
window.addEventListener('resize', () => {
  clearInterval(setId);
  positionSlides();
  autoPlay();
})



// Slider Js End